/*

This is main code that calls the functions to perform

NFC Initialization
BadBlockTable Detection/Creation
Block Erase
Page Write 
Page Read Operations.

*/


#include "main.h"

void main() 

{	
	
	//Initialize the NFC and interrupts
	Init();

	// Check if the bad block table exists in Nand Flash
	// If the table does not exist, create the table
	CheckTableExist(ResBlockNo);

	Flag1 = 1;	
		
	//Erases a Block
	BlockErase(BlockNo);
	
	// Writes the data in buffer WriteData to a page
	PageWrite(PageNo, BlockNo, &WriteData[0]);
	
	//Reads the data from a page and keeps in ReadData buffer
	PageRead(PageNo , BlockNo, &ReadData[0]);
	
	Flag1 = 0;
	
	// do memory comparision here after reading from nand flash
	
	
	
	for(i=0; i<Flash_Page_Size; i++)
    {
       if(ReadData[i] != WriteData[i])
       {
           printf("error %d\n", i);
           Flag2 = 1;
           break;
       }
       	
    }
    
    if(Flag2 != 1)
    {
    	printf("success\n");
    }
    
        		
}
    
