/*

This function reads the Flash Status register.

Parameter to be passed: None
Returns: Status in Variable Flash_Status

*/


#include "Extern_Declaration.h"

short Flash_Status;

/**********************************************************************/


short Read_Flash_Status_Register(void)
{
	
	// Flash Status read command
	*pNFC_CMD = StatusReadCmd[0];
	
	// Trigger a read request
	*pNFC_DATA_RD = 0;
	while(!(*pNFC_IRQSTAT & RD_RDY));
	Flash_Status = *pNFC_READ;
	*pNFC_IRQSTAT |= RD_RDY;
	ssync();
		
	return Flash_Status;
	
	
}


/**********************************************************************/
